Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038446
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2018-04-25 13:222018-06-25 18:01
ReportercaristuView Statuspublic 
Assigned Tojarmendariz 
PriorityhighResolutionfixedFixed in Version3.0PR18Q3
StatusclosedFix in branchFixed in SCM revisione4bd4091b73d
ProjectionnoneETAnoneTarget Version3.0PR18Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038446: Do not use positional query parameters with Query (Modules)

DescriptionLegacy-style query parameters ('?') are no longer supported in Hibernate 5.3[1].

Therefore, queries generated with Query class using such kind of parameters are not working anymore starting from that Hibernate version. This issue affects to the methods using an int that determines the parameter position:

 - setParameter(int, Object)
 - setString(int, String)
 - setInteger(int, int)
 - setDate(int, Date)
 - etc

Named parameters should be used instead.

[1] https://hibernate.atlassian.net/browse/HHH-12101 [^]
Steps To ReproduceIn description
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0038442 closedcaristu Openbravo ERP Do not use positional query parameters with Query 
related to feature request 0037064 closedcaristu Openbravo ERP upgrade hibernate 
related to defect 00384453.0PR18Q3 closedjarmendariz Openbravo ERP Do not use positional query parameters with Query (Retail) 
causes defect 0039491 resolvedcaristu Retail Modules Forward Update Analytics Fact Tables process finishes with OBRetailAnalyticsFactSessionUpdater: Error in Process Log field 

-  Notes
(0105109)
jarmendariz (developer)
2018-06-13 09:11

URL: https://code.openbravo.com/erp/pmods/org.openbravo.client.analytics/rev/b5a9a67f729b [^]

Fixed issue 38446: Replace positional params in Hibernate queries with named ones.
(0105110)
hgbot (developer)
2018-06-13 09:13

Repository: erp/pmods/org.openbravo.creditmanagement.dunning
Changeset: 98a818a525a371d04177b971d52b13677611ed25
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Thu Jun 07 10:18:26 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.creditmanagement.dunning/rev/98a818a525a371d04177b971d52b13677611ed25 [^]

Fixed issue 38446: Replace positional params in Hibernate queries with named ones.

Positional parameters are deprecated starting from Hibernate 5.2. All usages should be
replaced by setParameters(String, Object).

---
M src/org/openbravo/creditmanagement/dunning/biz/DunningManagerImpl.java
M src/org/openbravo/creditmanagement/dunning/biz/DunningManagerSupport.java
M src/org/openbravo/creditmanagement/dunning/biz/DunningSupport.java
M src/org/openbravo/creditmanagement/dunning/biz/calculator/DunningCalculatorSupport.java
---
(0105111)
hgbot (developer)
2018-06-13 09:15

Repository: erp/pmods/org.openbravo.financial.dimensionalpandlreport
Changeset: 885cdcb03c96060e2d76567e44df0e528f6e6660
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Thu Jun 07 11:19:32 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.financial.dimensionalpandlreport/rev/885cdcb03c96060e2d76567e44df0e528f6e6660 [^]

Fixed issue 38446: Replace positional params in Hibernate queries with named ones.

Positional parameters are deprecated starting from Hibernate 5.2. All usages should be
replaced by setParameters(String, Object).

---
M src/org/openbravo/financial/dimensionalpandlreport/GenerateProfitAndLossFactAcctTable.java
---
(0105112)
hgbot (developer)
2018-06-13 09:17

Repository: erp/pmods/org.openbravo.financial.dimensionalreports
Changeset: 9c35e91aeb2929552ddbc6be997c5ea80c449561
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Thu Jun 07 11:06:26 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.financial.dimensionalreports/rev/9c35e91aeb2929552ddbc6be997c5ea80c449561 [^]

Fixed issue 38446: Replace positional params in Hibernate queries with named ones.

Positional parameters are deprecated starting from Hibernate 5.2. All usages should be
replaced by setParameters(String, Object).

---
M src/org/openbravo/financial/dimensionalreports/DimensionalReportsUtils.java
M src/org/openbravo/financial/dimensionalreports/InitializeAccountsTranslationTable.java
---
(0105113)
hgbot (developer)
2018-06-13 09:18

Repository: erp/pmods/org.openbravo.idl
Changeset: c6e1c2f55f92a7e9d28e5d273caec1070dab9ed8
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Thu Jun 07 11:11:55 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.idl/rev/c6e1c2f55f92a7e9d28e5d273caec1070dab9ed8 [^]

Fixed issue 38446: Replace positional params in Hibernate queries with named ones.

Positional parameters are deprecated starting from Hibernate 5.2. All usages should be
replaced by setParameters(String, Object).

---
M src/org/openbravo/idl/proc/JournalEntriesProcess.java
M src/org/openbravo/idl/proc/ReferenceList.java
---
(0105115)
hgbot (developer)
2018-06-13 09:38

Repository: erp/pmods/org.openbravo.module.invoicematchingalgorithm
Changeset: 28a1138a0f90ce826b4c531580d10237f074f585
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Thu Jun 07 10:15:37 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.module.invoicematchingalgorithm/rev/28a1138a0f90ce826b4c531580d10237f074f585 [^]

Fixed issue 38446: Replace positional params in Hibernate queries with named ones.

Positional parameters are deprecated starting from Hibernate 5.2. All usages should be
replaced by setParameters(String, Object).

---
M src/org/openbravo/module/invoicematchingalgorithm/algorithm/InvoiceMatchingAlgorithm.java
---
(0105117)
hgbot (developer)
2018-06-13 09:42

Repository: erp/mods/org.openbravo.module.remittance
Changeset: 951f7606388b97a13fa9d60820dff2570a5c34e7
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Thu Jun 07 10:39:10 2018 +0200
URL: http://code.openbravo.com/erp/mods/org.openbravo.module.remittance/rev/951f7606388b97a13fa9d60820dff2570a5c34e7 [^]

Fixed issue 38446: Replace positional params in Hibernate queries with named ones.

Positional parameters are deprecated starting from Hibernate 5.2. All usages should be
replaced by setParameters(String, Object).

---
M src/org/openbravo/module/remittance/process/REM_RemittanceProcess.java
---
(0105118)
hgbot (developer)
2018-06-13 09:43

Repository: erp/pmods/org.openbravo.retail.analytics
Changeset: b521576871b021e6a286c1553b773c17f6073129
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Thu Jun 07 10:06:52 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.analytics/rev/b521576871b021e6a286c1553b773c17f6073129 [^]

Fixed issue 38446: Replace positional params in Hibernate queries with named ones.

Positional parameters are deprecated starting from Hibernate 5.2. All usages should be
replaced by setParameters(String, Object).

---
M src/org/openbravo/retail/analytics/OBRetailAnalyticsFactSessionUpdater.java
---
(0105119)
hgbot (developer)
2018-06-13 09:46

Repository: erp/pmods/org.openbravo.retail.digitalcoupons
Changeset: ea2dced6b582e3fd00487b7702dd0a2745986f0e
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Thu Jun 07 11:14:33 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.digitalcoupons/rev/ea2dced6b582e3fd00487b7702dd0a2745986f0e [^]

Fixed issue 38446: Replace positional params in Hibernate queries with named ones.

Positional parameters are deprecated starting from Hibernate 5.2. All usages should be
replaced by setParameters(String, Object).

---
M src/org/openbravo/retail/digitalcoupons/process/DigitalCouponsPaidReceiptsPaymentsTypeHook.java
---
(0105120)
hgbot (developer)
2018-06-13 09:48

Repository: erp/pmods/org.openbravo.retail.sessions
Changeset: e4bd4091b73d48f0a251538d9afee4ea23114857
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Thu Jun 07 11:26:04 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.sessions/rev/e4bd4091b73d48f0a251538d9afee4ea23114857 [^]

Fixed issue 38446: Replace positional params in Hibernate queries with named ones.

Positional parameters are deprecated starting from Hibernate 5.2. All usages should be
replaced by setParameters(String, Object).

---
M src/org/openbravo/retail/sessions/CashUpDetailsDatasource.java
M src/org/openbravo/retail/sessions/CashupRepHook.java
M src/org/openbravo/retail/sessions/TerminalProperties.java
---
(0105366)
caristu (developer)
2018-06-25 18:01

Reviewed

- Issue History
Date Modified Username Field Change
2018-04-25 13:22 caristu New Issue
2018-04-25 13:22 caristu Assigned To => caristu
2018-04-25 13:22 caristu Modules => Core
2018-04-25 13:22 caristu Triggers an Emergency Pack => No
2018-04-25 13:22 caristu Issue generated from 0038442
2018-04-25 13:22 caristu Relationship added related to 0038442
2018-04-25 13:22 caristu Assigned To caristu => jarmendariz
2018-04-25 13:23 caristu Target Version => 3.0PR18Q3
2018-04-25 13:24 caristu Relationship added related to 0038445
2018-04-27 13:25 alostale Relationship added related to 0037064
2018-06-05 18:14 jarmendariz Status new => scheduled
2018-06-13 09:11 jarmendariz Note Added: 0105109
2018-06-13 09:13 hgbot Checkin
2018-06-13 09:13 hgbot Note Added: 0105110
2018-06-13 09:13 hgbot Status scheduled => resolved
2018-06-13 09:13 hgbot Resolution open => fixed
2018-06-13 09:13 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.creditmanagement.dunning/rev/98a818a525a371d04177b971d52b13677611ed25 [^]
2018-06-13 09:15 hgbot Checkin
2018-06-13 09:15 hgbot Note Added: 0105111
2018-06-13 09:15 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.creditmanagement.dunning/rev/98a818a525a371d04177b971d52b13677611ed25 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.financial.dimensionalpandlreport/rev/885cdcb03c96060e2d76567e44df0e528f6e6660 [^]
2018-06-13 09:17 hgbot Checkin
2018-06-13 09:17 hgbot Note Added: 0105112
2018-06-13 09:17 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.financial.dimensionalpandlreport/rev/885cdcb03c96060e2d76567e44df0e528f6e6660 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.financial.dimensionalreports/rev/9c35e91aeb2929552ddbc6be997c5ea80c449561 [^]
2018-06-13 09:18 hgbot Checkin
2018-06-13 09:18 hgbot Note Added: 0105113
2018-06-13 09:18 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.financial.dimensionalreports/rev/9c35e91aeb2929552ddbc6be997c5ea80c449561 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.idl/rev/c6e1c2f55f92a7e9d28e5d273caec1070dab9ed8 [^]
2018-06-13 09:38 hgbot Checkin
2018-06-13 09:38 hgbot Note Added: 0105115
2018-06-13 09:38 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.idl/rev/c6e1c2f55f92a7e9d28e5d273caec1070dab9ed8 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.module.invoicematchingalgorithm/rev/28a1138a0f90ce826b4c531580d10237f074f585 [^]
2018-06-13 09:42 hgbot Checkin
2018-06-13 09:42 hgbot Note Added: 0105117
2018-06-13 09:42 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.module.invoicematchingalgorithm/rev/28a1138a0f90ce826b4c531580d10237f074f585 [^] => http://code.openbravo.com/erp/mods/org.openbravo.module.remittance/rev/951f7606388b97a13fa9d60820dff2570a5c34e7 [^]
2018-06-13 09:43 hgbot Checkin
2018-06-13 09:43 hgbot Note Added: 0105118
2018-06-13 09:43 hgbot Fixed in SCM revision http://code.openbravo.com/erp/mods/org.openbravo.module.remittance/rev/951f7606388b97a13fa9d60820dff2570a5c34e7 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.analytics/rev/b521576871b021e6a286c1553b773c17f6073129 [^]
2018-06-13 09:46 hgbot Checkin
2018-06-13 09:46 hgbot Note Added: 0105119
2018-06-13 09:46 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.analytics/rev/b521576871b021e6a286c1553b773c17f6073129 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.digitalcoupons/rev/ea2dced6b582e3fd00487b7702dd0a2745986f0e [^]
2018-06-13 09:48 hgbot Checkin
2018-06-13 09:48 hgbot Note Added: 0105120
2018-06-13 09:48 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.digitalcoupons/rev/ea2dced6b582e3fd00487b7702dd0a2745986f0e [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.sessions/rev/e4bd4091b73d48f0a251538d9afee4ea23114857 [^]
2018-06-15 10:49 alostale Review Assigned To => caristu
2018-06-25 18:01 caristu Note Added: 0105366
2018-06-25 18:01 caristu Status resolved => closed
2018-06-25 18:01 caristu Fixed in Version => 3.0PR18Q3
2018-10-19 13:26 ngarcia Relationship added causes 0039491
2018-10-22 08:59 caristu Relationship deleted causes 0039491
2018-10-22 08:59 caristu Relationship added related to 0039491
2018-10-22 11:17 caristu Relationship deleted related to 0039491
2018-10-22 11:17 caristu Relationship added causes 0039491


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker